Name: vnstat
Version: 1.4
Release: alt3

Summary: Console-based network traffic monitor that uses the /proc filesystem
License: GPL
Group: Monitoring
Url: http://humdi.net/%name/
Source0: %url/%name-%version.tar.gz
Source1: %name.control
Patch0: %name-1.4-alt-longints.patch

Requires: control
Requires: iproute2, grep, awk, sed
Requires: vixie-cron, service

%define cron_freq    15
%define cron_file    %_sysconfdir/cron.d/%name
%define cron_reload  /sbin/service crond condreload

Summary(ru_RU.KOI8-R):   

%description
vnStat is a console-based network traffic monitor that uses the /proc filesystem
to get the needed information. This means that vnStat wont actually be sniffing
any traffic.

%description -l ru_RU.KOI8-R
vnStat      .
       /proc.

      
   .   ,    
 ,  IP- ,    ..
ޣ        ,
      .

   vnStat    Cron  %cron_freq ;
       .
    vnStat  ţ   ޣ   .

%prep
%setup -q
%patch0 -p1

%build
%make_build

%install
%makeinstall DESTDIR=%buildroot
%__subst 's,0-55/5,0-55/%cron_freq,' %buildroot%cron_file
#__subst 's,root,%name,'             %buildroot%cron_file
%__install -pD %SOURCE1              %buildroot%_controldir/%name

cat << __EOF__ > %buildroot%cron_file
MAILTO=
0-59/%cron_freq * * * * %name	[ -x %_bindir/%name ] && [ \`ls %_localstatedir/%name/ | wc -l\` -ge 1 ] && %_bindir/%name -u
__EOF__

%files
%cron_file
%_bindir/%name
%_man1dir/%name.1*
%attr(750,%name,%name) %_localstatedir/%name
%doc pppd
%_controldir/%name

%pre
if ! id %name >/dev/null 2>&1; then
    %_sbindir/useradd -c 'vnstat database producer' -d %_localstatedir/%name -G proc -s /dev/null -r %name
elif ! id -Gn %name | grep -qw proc; then
    %_sbindir/usermod -G proc %name
fi
find %_localstatedir/%name -type f -not -user %name -print0 | xargs -r0 chown %name:%name

%post
%cron_reload
echo Create %name databases for all found network interfaces...
for iface in $(ip link show | egrep '^[0-9]*:' | awk '{print $2}' | sed -e 's/://'); do
    %_bindir/%name -u -i $iface
done

%postun
if [ $1 = 0 ]; then
    %cron_reload
    echo 'REMEMBER: %name databases still exists in %_localstatedir/%name directory!'
fi

%changelog
* Thu Aug  4 2005 Ilya G. Evseev <evseev@altlinux.ru> 1.4-alt3
- suppress mail sending on each invocation via crontab
- execute cron job under non-privileged account;
  change previous root ownership on existing databases

* Mon Aug  1 2005 Ilya G. Evseev <evseev@altlinux.ru> 1.4-alt2
- create statistic databases automatically on install
  for all found network interfaces
- added control facility for accessing database directory
- override default cron calling time (5 minutes) by our own value
  (15 minutes, may be changed via rpmbuild --define 'cron_freq ...')
- specfile: better russian description

* Tue Jul 12 2005 Ilya G. Evseev <evseev@altlinux.ru> 1.4-alt1
- Initial build

## EOF ##
